Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batch
  • Home
    • About
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • AutoCollec API
      • Example Workflow
      • Batches
        • GetBatchById
        • GetBatchesByOrganization
      • Invoice
        • CreateInvoices
        • GetInvoicesByOrganization
        • GetInvoiceById
      • Payment
        • CreatePayments
      • Collections
        • AcceptDebtCollectionList
        • AcceptDebtCollectionList
        • RejectDebtCollectionList
        • PauseCase
        • RejectDebtCollectionList
        • WithdrawCase
        • PauseCase
        • ResumeCase
        • WithdrawCase
        • ResumeCase
      • Settlement
        • GetSettlement on Id
        • GetSettlements
        • GetSettlements
        • GetSettlement on Id
    • AutoCollect API (Legacy)
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
          GET
        • /webapi/api/Batch
          POST
      • Ping
        • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batch

/webapi/api/Batch

POST
/webapi/api/Batch

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Body Params application/json-patch+json

Examples

Responses

🟢200
application/json
Success
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/webapi/api/Batch?senderid' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data-raw '{
    "batchid": "string",
    "offline": true,
    "creditor": [
        {
            "idnumber": "string",
            "parentidnumber": "string",
            "onlydebtcollection": true,
            "vattype": 0,
            "fullname": "string",
            "street": "string",
            "city": "string",
            "zipcode": "string",
            "countrycode": "st",
            "emailinvoice": "string",
            "bankaccountno": "string",
            "swift": "string",
            "iban": "string",
            "message": "string",
            "contact": {
                "fullname": "string",
                "workphone": "string",
                "email": "string",
                "isinvoicequery": true,
                "isremittancereport": true,
                "isorderconfirmation": true,
                "iscollectionlist": true,
                "isweb": true
            },
            "contact2": {
                "fullname": "string",
                "workphone": "string",
                "email": "string",
                "isinvoicequery": true,
                "isremittancereport": true,
                "isorderconfirmation": true,
                "iscollectionlist": true,
                "isweb": true
            },
            "password": "stringstri",
            "erpsettingid": "string",
            "sourceid": 0,
            "erpclientid": "string",
            "vismanetcompanyid": "string",
            "reminderflow": 0,
            "debtcollectiontransfer": 0,
            "invoicearchive": 0,
            "hasforeigndebtors": true,
            "hasforeigncurrency": true,
            "disabled": true
        }
    ],
    "invoice": [
        {
            "type": "PAYMENT_REMINDER",
            "invoiceNumber": "string",
            "vat": true,
            "fees": true,
            "originalInvoiceAmount": 0,
            "currency": "string",
            "invoiceDate": "2019-08-24T14:15:22.123Z",
            "dueDate": "2019-08-24T14:15:22.123Z",
            "collectionNoticeDate": "2019-08-24T14:15:22.123Z",
            "ocrReferenceNumber": "string",
            "uniqueSourceInvoiceId": "string",
            "description": "string",
            "debtors": [
                {
                    "type": "PRIVATE",
                    "firstname": "string",
                    "lastname": "string",
                    "name": "string",
                    "customerNumber": "string",
                    "identificationNumber": "string",
                    "organizationNumber": "string",
                    "dateOfBirth": "2019-08-24",
                    "emails": [
                        {
                            "value": "string"
                        }
                    ],
                    "phoneNumbers": [
                        {
                            "countryCode": "string",
                            "originalValue": "string",
                            "value": "string"
                        }
                    ],
                    "addresses": [
                        {
                            "street": "string",
                            "city": "string",
                            "zipCode": "string",
                            "countryCode": "string"
                        }
                    ]
                }
            ],
            "claims": [
                {
                    "type": "PRINCIPAL",
                    "remainingAmount": 0,
                    "description": "string"
                }
            ]
        }
    ],
    "payment": [
        {
            "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec",
            "type": "DIRECT_PAYMENT",
            "amount": 0,
            "currency": "string",
            "date": "2019-08-24T14:15:22.123Z",
            "description": "string",
            "uniqueSourcePaymentId": "string"
        }
    ],
    "action": [
        {
            "creditorid": "string",
            "ledgerref": "string",
            "actiontype": 0,
            "duedate": "2019-08-24T14:15:22.123Z",
            "subject": "string",
            "conversationid": "string",
            "message": "string"
        }
    ]
}'
Response Response Example
{
    "statuscode": 0,
    "errors": [
        {
            "objectname": "string",
            "objectindex": 0,
            "message": "string"
        }
    ],
    "responses": [
        {
            "objectname": "string",
            "objectindex": 0,
            "ledgerref": "string",
            "status_statuscode": "string"
        }
    ]
}
Modified at 2026-03-12 13:36:35
Previous
/webapi/api/Batch
Next
/webapi/api/Ping
Built with